using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.Extensions.Logging;

namespace Haoliang.Core.Services
{
    public class ConsoleLoggerService : ILoggerService
    {
        private readonly ILogger<ConsoleLoggerService> _logger;

        public ConsoleLoggerService(ILogger<ConsoleLoggerService> logger)
        {
            _logger = logger;
        }

        public async Task LogInformationAsync(string message)
        {
            _logger.LogInformation(message);
            await Task.CompletedTask;
        }

        public async Task LogWarningAsync(string message)
        {
            _logger.LogWarning(message);
            await Task.CompletedTask;
        }

        public async Task LogErrorAsync(string message)
        {
            _logger.LogError(message);
            await Task.CompletedTask;
        }

        public async Task LogDebugAsync(string message)
        {
            _logger.LogDebug(message);
            await Task.CompletedTask;
        }
    }
}